Class that holds an XSLT parameter.

package | phing.filters

### Methods

## Returns expression value -- performs lookup if expr is registerslot.

    getExpression() : string

### Returns

`string`

## Get param name.

    getName() : string

### Returns

`string`

## Gets expression value (alias to the getExpression()) method.

    getValue()

see | \global\getExpression()

## Sets expression value.

    setExpression(string $expr)

### Parameters

#### $expr

`string`

## Sets expression to dynamic register slot.

    setListeningExpression(\RegisterSlot $expr)

### Parameters

#### $expr

`\RegisterSlot`

## Sets param name.

    setName(string $name)

### Parameters

#### $name

`string`

## Sets expression value (alias to the setExpression()) method.

    setValue(string $v)

see | \global\setExpression()

### Parameters

#### $v

`string`

### Properties

##

    $expr

##

    $name